(ns com.oly.static-sites.ui-hiccup.chess)

(defn square [{:keys [colour text class]}]
  [:div.flex.items-center.justify-around.w3.h3.tc {:class class}
   [:p.v-mid.ma0.pa0 text]])

(defn board [size items]
  (loop [pos 1
         squares items
         row [:div.h3]
         result [:div]]
    (if (seq squares)
      (if (= size pos)
        (recur 1
               (rest squares)
               [:div.h3]
               (conj result (conj row (square (first squares)))))
        (recur (inc pos)
               (rest squares)
               (conj row (square (first squares)))
               result))
      result)))


