(ns com.oly.static-sites.do-blog.pages.chess.state)

(def white-circle "○ ")
(def white-square "⬜")

(def white-pawn "♙ ")
(def white-rook "♖ ")
(def white-knight "♘ ")
(def white-bishop "♗ ")
(def white-queen "♕ ")
(def white-king "♔ ")

(def black-circle "● ")
(def black-square "⬛")

(def black-pawn "♟ ")
(def black-rook "♜ ")
(def black-knight "♞ ")
(def black-bishop "♝ ")
(def black-queen "♛ ")
(def black-king "♚ ")


(def get-x first)
(def get-y second)
;(def alternate-color (alternate-black-white))
(def board {:tile-size [8 8]})
(def start-state
  [{:character white-rook
    :type :rook
    :start-pos [1 1]}
   {:character white-knight
    :type :knight
    :start-pos [2 1]}
   {:character white-bishop
    :type :bishop
    :start-pos [3 1]}
   {:character white-king
    :type :queen
    :start-pos [4 1]}
   {:character white-queen
    :type :king
    :start-pos [5 1]}
   {:character white-bishop
    :type :bishop
    :start-pos [6 1]}
   {:character white-knight
    :type :knight
    :start-pos [7 1]}
   {:character white-rook
    :type :rook
    :start-pos [8 1]}

   {:type :pawn
    :character white-pawn
    :start-pos [1 2]}
   {:type :pawn
    :character white-pawn
    :start-pos [2 2]}
   {:type :pawn
    :character white-pawn
    :start-pos [3 2]}
   {:type :pawn
    :character white-pawn
    :start-pos [4 2]}
   {:type :pawn
    :character white-pawn
    :start-pos [5 2]}
   {:type :pawn
    :character white-pawn
    :start-pos [6 2]}
   {:type :pawn
    :character white-pawn
    :start-pos [7 2]}
   {:type :pawn
    :character white-pawn
    :start-pos [8 2]}

   {:type :pawn
    :character black-pawn
    :start-pos [1 7]}
   {:type :pawn
    :character black-pawn
    :start-pos [2 7]}
   {:type :pawn
    :character black-pawn
    :start-pos [3 7]}
   {:type :pawn
    :character black-pawn
    :start-pos [4 7]}
   {:type :pawn
    :character black-pawn
    :start-pos [5 7]}
   {:type :pawn
    :character black-pawn
    :start-pos [6 7]}
   {:type :pawn
    :character black-pawn
    :start-pos [7 7]}
   {:type :pawn
    :character black-pawn
    :start-pos [8 7]}

   {:character black-rook
    :type :rook
    :start-pos [1 8]}
   {:character black-knight
    :type :knight
    :start-pos [2 8]}
   {:character black-bishop
    :type :bishop
    :start-pos [3 8]}
   {:character black-king
    :type :queen
    :start-pos [4 8]}
   {:character black-queen
    :type :king
    :start-pos [5 8]}
   {:character black-bishop
    :type :bishop
    :start-pos [6 8]}
   {:character black-knight
    :type :knight
    :start-pos [7 8]}
   {:character black-rook
    :type :rook
    :start-pos [8 8]}])
